%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

%global modname fedora-motd
%global sourcename motdgen
%global commit0 a152954dcf0583a6efd1af31c42f9e27e6a15bea
%global gittag0 GIT-TAG
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})


Name:           fedora-motd
Version:        0.1.3
Release:        1%{?dist}
Summary:        Fedora MOTD
Group:          Applications/Internet
License:        GPLv3
URL:            http://github.com/rtnpro/fedora-motd
Source0:        https://github.com/rtnpro/%{sourcename}/archive/%{commit0}.tar.gz#/%{sourcename}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       setup
Requires:       pam
Requires:       crontabs


%description
Generate dynamic MOTD: Message of the day, for Fedora

%prep
%setup -q -n %{sourcename}-%{commit0}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

%files
%doc README.md
%license LICENSE
%{python_sitelib}/dnf-plugins/cache_updateinfo.py*
%{python_sitelib}/motdgen-%{version}-py%{pyver}.egg-info/
%{_sysconfdir}/cron.daily/motdgen-cache-updateinfo
%{_sysconfdir}/pam.d/motdgen
%{_sysconfdir}/motdgen.d
%{_sysconfdir}/profile.d/motdgen.sh
%{_sysconfdir}/systemd/system/motdgen.service
%{_bindir}/motdgen
%{_bindir}/motdgen-cache-updateinfo

%post
if [ ! -d /var/run/motdgen ]; then     mkdir /var/run/motdgen; fi || :
semanage fcontext -a -t sshd_var_run_t '/var/run/motdgen(/.*)?' 2>/dev/null || :
restorecon -R /var/run/motdgen || :
grep -q '^\s*session\s*include\s*motdgen.*$' %{_sysconfdir}/pam.d/sshd || echo "session    include      motdgen" >> %{_sysconfdir}/pam.d/sshd

%postun
if [ $1 -eq 0 ] ; then
semanage fcontext -d -t sshd_var_run_t '/var/run/motdgen(/.*)?' 2>/dev/null || :
fi
sed -i '/^\s*session\s*include\s*motdgen.*$/d' %{_sysconfdir}/pam.d/sshd || :

%changelog
* Mon May 09 2016 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1.3-1
- Add support for Python3 alongside Python2
- Add motdgen service file
- Put all runtime files under /var/run/motdgen
- Fix SELinux labels for motdgen runtime files
- Automate including /etc/pam.d/motdgen in /etc/pam.d/sshd

* Thu Apr 14 2016 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1.2-1
- Fix detecting rpm-ostree based system
- Don't use predicatable name in /tmp
- Cache updateinfo in background on first login post fedora-motd installation
- Don't wait for background jobs to complete in motdgen scripts

* Thu Mar 10 2016 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1.1-1
- Bugfix: Fix script name for caching updateinfo in dnf plugin.

* Tue Feb 9 2016 Ratnadeep Debnath <rtnpro@gmail.com> - 0.1-1
- Initial packaging.
